%define gsver	7.07
%define ijsver	0.34

%define old_name ghostscript
%define real_name ghostscript
%define esp_name esp-ghostscript

Name: gnu-ghostscript
Version: %gsver
Release: alt0.1

%def_with x11
%def_without svga
%def_with omni

Summary: PostScript interpreter and renderer, all printer drivers
License: GPL
Group: Publishing
AutoReq: yes, noshell
Provides: /usr/bin/gs

Requires: netpbm

#compatibility requires
Requires: %name-classic = %gsver-%release, %name-drivers = %gsver-%release
Provides: %old_name = %gsver
Obsoletes: %old_name
Conflicts: %esp_name

#driver versions
%define pcl3ver 3.3
%define md2kver 0.2a
%define gimpprintver 4.2.5
%define lxmver 0.4.1-gs5.50

##### GHOSTSCRIPT SOURCES
Source0: http://sourceforge.net/projects/ghostscript/%real_name-%gsver.tar.bz2

##### ADDITIONAL DRIVERS
# PCL3 driver: Many PCL inkjets, also non-HP
Source1: http://home.t-online.de/home/Martin.Lottermoser/pcl3dist/pcl3-%pcl3ver.tar.bz2
# Driver for the Alps MD xxxx thermal transfer printers
Source2: http://plaza26.mbn.or.jp/~higamasa/gdevmd2k/gdevmd2k-%md2kver.tar.bz2
# Epson 740
Source3: http://lcewww.et.tudelft.nl/~haver/linux/epson.html/epson740.tar.bz2
# Driver for the Lexmark 3200 by Daniel Gordini
Source4: http://lxm3200.sourceforge.net/lxm3200-%lxmver-src.tar.bz2
# Driver for Lexmark 5000 by Peter B. West
Source5: http://www.powerup.com.au/~pbwest/lexmark/lexmark.html/gdevlx50.c
#Lexmark 2050, 3200, 5700 and 7000 devices
Source6: ftp://bimbo.fjfi.cvut.cz/users/paluch/lexmarkgs/lexmarkgs990908.tar.gz
#Samsung GDI driver for ML-4500
Source7: http://www.linuxprinting.org/download/printing/gdevgdi.c
Patch7: ghostscript-6.51-gdevgdi.patch
#Epson's old eplaseren drivers
Source8: http://www.epkowa.on.arena.ne.jp/pips/data/2050/eplaseren-1.0.2-550.tgz
Patch8: ghostscript-6.51-Epson_eplaseren.patch
# Driver for the HP Business Inkjet 2200 provided by HP
Source9: http://hp.sourceforge.net/gs-hp2200.php/gs-hp2200.tar.bz2

Source10: %name.old_changelog

##### GENERAL SOURCES
Source102: gomni.c
Patch102: Omni-7.05-071902-patch.clean
Source103: http://gimp-print.sourceforge.net/gimp-print-%gimpprintver.tar.bz2
Patch103: gimp-print-cups-Makefile.patch.bz2
Patch104: ghostscript-7.05-alt-second-stp.patch
Source105: printutils.png.bz2

#### ADDITIONAL STUFF
# Support for displaying encrypted PDF files
Source200: http://www.ozemail.com.au/~geoffk/pdfencrypt/pdf_sec.ps
# Uniprint driver for the Canon BJC 6000
Source201: http://www.ph.tum.de/~thaller/bjc6000/bjc6000a1.upp
Source202: http://www.ph.tum.de/~thaller/bjc6000/bjc6000b1.upp
# Additional Uniprint drivers for Epson inkjets
Source203: http://www.best.com/~murakami/uppfiles/murakami-epson-upp.tar.bz2
# Driver for thw Sharp AJ-1800/2000 inkjets
Source204: http://www.linuxprinting.org/pipermail/sharp-list/2001q2/000004.html/sharp.upp

#hotplug stuff for detecting of HP 1000 printer
Source205: http://www.linuxprinting.org/download/printing/hp1000fw.bz2
Source206: usb.usermap.printer-utils.bz2

# Tools for reading USB device ID strings
Source207: http://www.linuxprinting.org/download/printing/usb_id_test.c.bz2
Source208: http://www.linuxprinting.org/download/printing/getusbprinterid.pl.bz2


##### FILTERS AND OTHER SOURCES
# Apple StyleWriter
Source300: http://www.teleport.com/~monroe/styl/stylewriter.tar.bz2
# Canon CaPSL
Source301: ftp://metalab.unc.edu/pub/Linux/system/printing/cjet089.tar.bz2
# Lexmark 1100
Source302: http://209.233.17.85/lexmark/lm1100.1.0.2a.tar.bz2
Patch302: lexmark2ppm.pl.patch.bz2
Patch303: ghostscript-7.05-alt-lm-build-gcc3.patch
# Lexmark 2070 colour
Source303: http://www.studet.fh-muenster.de/~kornblum/c2070-0.99.tar.bz2
# Lexmark 2070 grayscale
Source304: http://www.studet.fh-muenster.de/~kornblum/Lexmark2070.latest.tar.bz2
# Lexmark Z11
Source305: http://www.linuxprinting.org/download/printing/lz11.tar.bz2
# Lexmark printer maintenance
Source307: http://www.powerup.com.au/~pbwest/lexmark/lexmark.html/lxcontrol.tar.bz2
Source308: http://209.233.17.85/lexmark/lm1100maint.tar.bz2
Source309: http://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/changecartridge.bz2
# HP DeskJet PPA printers
Source310: http://download.sourceforge.net/pnm2ppa/pnm2ppa-1.12.tar.bz2
Source311: http://www.httptech.com/ppa/files/ppa-0.8.6.tar.bz2
Patch311: pbm2ppa-20000205.diff
# Lexmark 2050
Source312: http://www.prato.linux.it/~mnencia/lexmark2050/c2050-0.3.tar.bz2
# Lexmark 2030
Source313: http://home.fhtw-berlin.de/~s0226426/projects/pbm2l2030-1.4.tar.bz2
# Okipage 4w and compatible winprinters
Source314: http://www.picante.com/~gtaylor/download/printing/oki4linux-2.0.tar.bz2
Source315: oki4w.startup
Source316: oki4w_install.bz2
Patch314: http://www.picante.com/~gtaylor/download/printing/oki4linux-2.0-daemon-patch.bz2
Patch315: oki4linux-2.0-daemon-mdk-patch

# Citizen Printiva 600C
Source317: http://www.dcs.ed.ac.uk/home/jcb/ppmtocpva-1.0.tar.bz2
# Driver for the Samsung ML-85G and QL-85G winprinters
Source318: http://www.pragana.net/ml85p-0.2.0.tar.bz2
# Filter for the Lexmark Z42
Source320: http://www.xs4all.nl/~pastolk/drv_z42-0.3.4-pre-built-gui.tar.bz2
# Filter for Pentax PocketJet
Source321: http://www.pragana.net/pentaxpj-20020301-11.tar.bz2
Patch321:  ghostscript-7.05-alt-pentaxpj-no-bwidget.patch
# Unix driver for MicroDry Printers
Source322: http://www.dcs.ed.ac.uk/home/jcb/ppmtomd/ppmtomd-1.0.1.tar.bz2
# CoStar and compatible label printers
Source323: http://www.freelabs.com/~whitis/software/pbm2lwxl/pbm2lwxl.tar.bz2
# Driver for Epson EPL "L" series
Source324:      http://cesnet.dl.sourceforge.net/sourceforge/epsonepl/epsoneplijs-0.2.2.tar.bz2
# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP LaserJet 1000
Source325: http://home.mn.rr.com/richardsons/foo2zjs/foo2zjs.tar.bz2



##### GHOSTSCRIPT PATCHES
#config adaptation
Patch: %real_name-7.07-alt-config.patch
#daptation to work with gcc 2.96 for Lexmark 7000/5700 driver
Patch2: gcc2.96.patch
#shared support for X11 and vga drivers: written by MDK
Patch3: %real_name-7.05-mdk-alt-shared.patch
# (chmou) Fix glibc-2.2.2 compilation (need an #include <time.h>)
Patch4: %real_name-6.51-glibc-2.2.2.patch
Patch5: %real_name-7.05.4-mdk-shared-x11alpha.patch

#post fixes
Patch6: %real_name-7.05-alt-gdevlx32.c.esp.patch
Patch10: %real_name-7.05-rh-ps1.patch

##### FILTERS AND OTHER PATCHES
#bjc250
Patch300: http://bjc250gs.sourceforge.net/gs6.50-bjc250-v0.75mdk.patch

Url: http://www.cs.wisc.edu/~ghost/
Requires: urw-fonts >= 1.1, %name-common = %version-%release
Requires: libgimp-print = %gimpprintver

Obsoletes: ghostscript-PrintOnly pnm2ppa
Obsoletes: Apple-StyleWriter-printer-driver__lpstyl
Obsoletes: Canon-CaPSL-printer-driver__cjet Lexmark-1100-printer-driver__lm1100
Obsoletes: Lexmark-2070-color-printer-driver__c2070
Obsoletes: Lexmark-2070-grayscale-printer-driver__Lexmark2070
Obsoletes: Lexmark-7xxx-57xx-Z51-printer-driver__pbm2l7k
Obsoletes: Lexmark-Z11-printer-driver__cZ11 Lexmark-printer-maintenance
Obsoletes: cjet lm1100 c2070 Lexmark2070 cZ11

BuildPreReq: libgimp-print-devel = %gimpprintver, kernel-headers-std

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: ImageMagick XFree86-devel XFree86-libs byacc docbook-utils flex foomatic gcc-c++ ghostscript glib-devel glibc-devel-static gtk+-devel libcups-devel libgimp-devel libgimp-print-devel libjpeg-devel libncurses-devel libnetpbm-devel libpng-devel libreadline-devel libstdc++-devel tetex-dvips zlib-devel

%package -n libgnuijs
Version: %{ijsver}_%gsver
License: MIT
Summary: Dynamic library for the IJS printer driver plug-in interface
Group: Publishing
Url: http://www.linuxprinting.org/ijs/
Provides: libijs = %{ijsver}_%gsver
Obsoletes: libijs
Conflicts: libespijs

%package -n libgnuijs-devel
Version: %{ijsver}_%gsver
License: MIT
Summary: Headers and links for compiling against
Group: Development/C
Url: http://www.linuxprinting.org/ijs/
Requires: libgnuijs
Provides: libijs-devel = %{ijsver}_%gsver
Obsoletes: libijs-devel
Conflicts: libespijs-devel

%package module-X
Summary: PostScript interpreter and renderer (additional support for X)
Version: %gsver
Group: Publishing
PreReq: %name = %gsver , coreutils
Obsoletes: ghostscript-X, ghostscript-Both
Provides: %old_name-module-X = %gsver
Obsoletes: %old_name-module-X
Conflicts: %esp_name-module-X

%package module-SVGALIB
Summary: PostScript interpreter and renderer (additional support for SVGALIB)
Version: %gsver
Group: Publishing
PreReq: %name = %gsver-%release, coreutils
Obsoletes: ghostscript-SVGALIB, ghostscript-Both
Provides: %old_name-module-SVGALIB = %gsver
Obsoletes: %old_name-module-SVGALIB
Conflicts: %esp_name-module-SVGALIB

%package drivers
Summary: PostScript interpreter and renderer (external drivers)
Version: %gsver
Group: Publishing
PreReq: %name = %gsver-%release
Provides: %old_name-drivers = %gsver
Obsoletes: %old_name-drivers
Conflicts: %esp_name-drivers

%package utils
Summary: Additional tools for configuring printers
Version: %gsver
Group: Publishing
PreReq: %name = %gsver-%release
Provides: %name-utils-pup = %version
Obsoletes: %name-utils-pup
Provides: %old_name-utils = %gsver
Obsoletes: %old_name-utils
Conflicts: %esp_name-utils

%package lib
Summary: Shared library for %name
Version: %gsver
Group: Publishing
Provides: %old_name-lib = %gsver
Obsoletes: %old_name-lib
Conflicts: %esp_name-lib

%package classic
Summary: classic edition of %name
Version: %gsver
Group: Publishing
PreReq: %name-common = %gsver-%release
Provides: %old_name-classic = %gsver
Obsoletes: %old_name-classic
Conflicts: %esp_name-classic

%package minimal
Summary: minimal edition of %name
Version: %gsver
Group: Publishing
PreReq: %name-lib = %version-%release, %name-common = %version-%release
Provides: %old_name-minimal = %gsver
Obsoletes: %old_name-minimal
Conflicts: %esp_name-minimal

%package gtk
Summary: %name with gtk
Version: %gsver
Group: Publishing
PreReq: %name-lib = %version-%release, %name-common = %version-%release
Provides: %old_name-gtk = %gsver
Obsoletes: %old_name-gtk
Conflicts: %esp_name-gtk

%package common
Summary: Common files for the %name
Version: %gsver
Group: Publishing
Provides: %old_name-common = %gsver
Obsoletes: %old_name-common
Conflicts: %esp_name-common

%description
Ghostscript is a set of software that provides a PostScript(TM) interpreter,
a set of C procedures (the Ghostscript library, which implements the
graphics capabilities in the PostScript language) and an interpreter for
Portable Document Format (PDF) files. Ghostscript translates PostScript code
into many common, bitmapped formats, like those understood by your printer
or screen. Ghostscript is normally used to display PostScript files and to
print PostScript files to non-PostScript printers.
Most applications use PostScript for printer output.

In addition, the package contains filters which transfer the raw
bitmap of GhostScript into the protocol of some additional printer
models.

You should install ghostscript if you need to display PostScript files, or
if you have a non-PostScript printer.

%description module-X
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.
This version enhances ghostscript with X windows support.

%description module-SVGALIB
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include many printer
formats (including support for colour printers), and popular graphics
file formats.
This version enhances ghostscript with console output using SVGALIB.

%description drivers
External ghostscript drivers

%description utils
Tools for printer maintenance: Setting default options for most laser
printers (PJL-capable printers), cartridge changing and head aligning
for inkjet winprinters.

%description -n libgnuijs
This is the API library for programs using the IJS printer driver
plug-in interface. Printer drivers using this interface can be added
to GhostScript (6.53 or newer) without needing to rebuild
GhostScript. Application programs providing an IJS interface can make
use of IJS printer drivers directly, without needing GhostScript.

%description -n libgnuijs-devel
This package contains the static library and the header files needed
to compile applications using this library.

%description lib
Shared library for %name

%description classic
Classic edition of %name

%description minimal
Minimal edition of %name

%description gtk
%name with gtk

%description common
Common files for the %name

%prep
#unpack gs with hpijs
%setup -q -n %real_name-%gsver

#correct config
%patch  -p1

#Turn on every possibly pertinent builtin device
	GS_DEVS=$GS_DEVS'$(DD)cdj880.dev '
	GS_DEVS=$GS_DEVS'$(DD)ap3250.dev $(DD)appledmp.dev $(DD)atx23.dev '
	GS_DEVS=$GS_DEVS'$(DD)atx24.dev $(DD)atx38.dev $(DD)bmpa16.dev $(DD)bbox.dev '
	GS_DEVS=$GS_DEVS'$(DD)bmpa16m.dev $(DD)bmpa256.dev $(DD)bmpa32b.dev '
	GS_DEVS=$GS_DEVS'$(DD)bmpamono.dev $(DD)bmpasep1.dev $(DD)bmpasep8.dev '
	GS_DEVS=$GS_DEVS'$(DD)ccr.dev $(DD)cdj1600.dev $(DD)cdj500.dev '
	GS_DEVS=$GS_DEVS'$(DD)cdj670.dev $(DD)cdj850.dev '
	GS_DEVS=$GS_DEVS'$(DD)cdj890.dev  $(DD)cfax.dev '
	GS_DEVS=$GS_DEVS'$(DD)cgm24.dev $(DD)cgm8.dev $(DD)cgmmono.dev '
	GS_DEVS=$GS_DEVS'$(DD)cljet5pr.dev $(DD)coslw2p.dev $(DD)coslwxl.dev '
	GS_DEVS=$GS_DEVS'$(DD)cp50.dev $(DD)declj250.dev $(DD)dfaxlow.dev '
	GS_DEVS=$GS_DEVS'$(DD)dfaxhigh.dev $(DD)djet500c.dev $(DD)dl2100.dev '
	GS_DEVS=$GS_DEVS'$(DD)dnj650c.dev $(DD)eps9high.dev '
	GS_DEVS=$GS_DEVS'$(DD)eps9mid.dev $(DD)epson.dev $(DD)epsonc.dev '
	GS_DEVS=$GS_DEVS'$(DD)escp.dev $(DD)fax.dev $(DD)fs600.dev '
	GS_DEVS=$GS_DEVS'$(DD)hl1250.dev $(DD)hl7x0.dev $(DD)ibmpro.dev '
	GS_DEVS=$GS_DEVS'$(DD)imagen.dev $(DD)inferno.dev $(DD)iwhi.dev '
	GS_DEVS=$GS_DEVS'$(DD)iwlo.dev $(DD)iwlq.dev $(DD)jetp3852.dev '
	GS_DEVS=$GS_DEVS'$(DD)la50.dev $(DD)la70.dev $(DD)la75.dev '
	GS_DEVS=$GS_DEVS'$(DD)la75plus.dev $(DD)lbp8.dev $(DD)lj250.dev '
	GS_DEVS=$GS_DEVS'$(DD)lj3100sw.dev $(DD)lj4dith.dev $(DD)ln03.dev '
	GS_DEVS=$GS_DEVS'$(DD)lp2563.dev $(DD)lp8000.dev $(DD)lq850.dev '
	GS_DEVS=$GS_DEVS'$(DD)lxm5700m.dev $(DD)m8510.dev $(DD)mgr4.dev '
	GS_DEVS=$GS_DEVS'$(DD)mgr8.dev $(DD)mgrgray2.dev $(DD)mgrgray4.dev '
	GS_DEVS=$GS_DEVS'$(DD)mgrgray8.dev $(DD)mgrmono.dev $(DD)miff24.dev '
	GS_DEVS=$GS_DEVS'$(DD)necp6.dev $(DD)oce9050.dev '
	GS_DEVS=$GS_DEVS'$(DD)oki182.dev $(DD)okiibm.dev $(DD)paintjet.dev '
	GS_DEVS=$GS_DEVS'$(DD)photoex.dev $(DD)pjetxl.dev $(DD)plan9bm.dev '
	GS_DEVS=$GS_DEVS'$(DD)psdf.dev $(DD)sgirgb.dev $(DD)r4081.dev '
	GS_DEVS=$GS_DEVS'$(DD)sj48.dev $(DD)st800.dev '
	GS_DEVS=$GS_DEVS'$(DD)stcolor.dev $(DD)sunhmono.dev $(DD)t4693d2.dev '
	GS_DEVS=$GS_DEVS'$(DD)t4693d4.dev $(DD)t4693d8.dev $(DD)tek4696.dev '
	GS_DEVS=$GS_DEVS'$(DD)tfax.dev $(DD)tiffs.dev $(DD)xes.dev '

#HP InkJet driver
	GS_DEVS=$GS_DEVS'$(DD)ijs.dev $(DD)DJ630.dev '
	GS_DEVS=$GS_DEVS'$(DD)DJ6xx.dev $(DD)DJ6xxP.dev $(DD)DJ8xx.dev '
	GS_DEVS=$GS_DEVS'$(DD)DJ9xx.dev $(DD)DJ9xxVIP.dev $(DD)AP21xx.dev '

#Omni driver
%if_with omni
#will be added by configure
#	GS_DEVS=$GS_DEVS'$(DD)omni.dev '
%patch102 -p0
	cp -f %SOURCE102 src
autoconf
%endif

#PCL3
	GS_DEVS=$GS_DEVS'$(DD)pcl3.dev '

	tar xjfO %SOURCE1 pcl3-%pcl3ver/pcl3.tar | tar xf -
	ln -s . pcl3
	cat src/contrib.mak-6.51.add >> src/contrib.mak

#ALPS
	GS_DEVS=$GS_DEVS'$(DD)md2k.dev $(DD)md5k.dev '

	tar xjf %SOURCE2
	mv gdevmd2k-%md2kver/*.[ch] src/
	cat gdevmd2k-%md2kver/gdevmd2k.mak-5.8x >> src/contrib.mak

#Epson 740: UniPrint files
	tar xjf %SOURCE3
	mv epson740/*.upp lib/

#lxm3200
	GS_DEVS=$GS_DEVS'$(DD)lxm3200.dev '

	tar xjf %SOURCE4
	mv lxm3200-%lxmver-src/*.[ch] src/

	echo '
### ---------------- Lexmark 3200 device ----------------- ###
lxm3200_=$(GLOBJ)gdevlx32.$(OBJ)

$(GLOBJ)gdevlx32.$(OBJ): $(GLSRC)gdevlx32.c $(PDEVH) $(gsparam_h)
	$(GLCC) $(GLO_)gdevlx32.$(OBJ) $(C_) $(GLSRC)gdevlx32.c

$(DD)lxm3200.dev: $(lxm3200_) $(DD)page.dev
	$(SETPDEV) $(DD)lxm3200 $(lxm3200_)

' >> src/contrib.mak

#lx5000
	GS_DEVS=$GS_DEVS'$(DD)lx5000.dev '

	cp %SOURCE5 src/
	echo '
### ----------------- Lexmark 5000 printer ----------------------------- ###
### Note: this driver was contributed by users.  Please contact:         ###
###   Peter B. West <pbwest@netscape.net>                                ###
###   Reported to work with Z51.  May work with 5700 & 7000              ###
###   Provides colour and black-only, unidirectional 300/600x600dpi.     ###

lx5000_=$(GLOBJ)gdevlx50.$(OBJ)

$(GLOBJ)gdevlx50.$(OBJ) : $(GLSRC)gdevlx50.c $(PDEVH)
	$(GLCC) $(GLO_)gdevlx50.$(OBJ) $(C_) $(GLSRC)gdevlx50.c

$(DD)lx5000.dev: $(lx5000_) $(DD)page.dev
	$(SETPDEV) $(DD)lx5000 $(lx5000_)

' >> src/contrib.mak

#dditional lexmark drivers
	GS_DEVS=$GS_DEVS'$(DD)lex7000.dev $(DD)lex5700.dev '
	GS_DEVS=$GS_DEVS'$(DD)lex3200.dev $(DD)lex2050.dev '

	tar xzf %SOURCE6
	cp lexmarkgs/gdevlx7.c src/
echo '
### ------ Lexmark 2050, 3200, 5700 and 7000 devices ------- ###

lex7000_=$(GLOBJ)gdevlx7.$(OBJ)

$(GLOBJ)gdevlx7.$(OBJ): $(GLSRC)gdevlx7.c $(PDEVH) $(gsparam_h)
	$(GLCC) $(GLO_)gdevlx7.$(OBJ) $(C_) $(GLSRC)gdevlx7.c

$(DD)lex7000.dev: $(lex7000_) $(DD)page.dev
	$(SETPDEV) $(DD)lex7000 $(lex7000_)

$(DD)lex5700.dev: $(lex7000_) $(DD)page.dev
	$(SETPDEV) $(DD)lex5700 $(lex7000_)

$(DD)lex3200.dev: $(lex7000_) $(DD)page.dev
	$(SETPDEV) $(DD)lex3200 $(lex7000_)

$(DD)lex2050.dev: $(lex7000_) $(DD)page.dev
	$(SETPDEV) $(DD)lex2050 $(lex7000_)

' >> src/contrib.mak

# Add Samsung GDI driver for ML-4500
	GS_DEVS=$GS_DEVS'$(DD)gdi.dev '

	cp %SOURCE7 src/
%patch7 -p1
echo '
### ---------------- The Samsung SmartGDI laser printer devices --------- ###
### Note : this driver is used by Samsung SmartGDI compatible printers.   ###
###

GDIMONO=$(GLOBJ)gdevgdi.$(OBJ) $(HPPCL)

$(GLOBJ)gdevgdi.$(OBJ): $(GLSRC)gdevgdi.c $(PDEVH) $(gsparam_h)
	$(GLCC) $(GLO_)gdevgdi.$(OBJ) $(C_) $(GLSRC)gdevgdi.c

$(DD)gdi.dev: $(GDIMONO) $(DD)page.dev
	$(SETPDEV) $(DD)gdi $(GDIMONO)

' >> src/contrib.mak

# Add Epson's old eplaseren drivers
	GS_DEVS=$GS_DEVS'$(DD)epl5800.dev $(DD)epl2050.dev $(DD)epl2050p.dev '
	GS_DEVS=$GS_DEVS'$(DD)alc8500.dev $(DD)alc2000.dev '

	tar xzpf %SOURCE8 -C src
%patch8 -p1

	cat src/eplaser/*.mak >> src/contrib.mak

# HP patched the driver to also support the HP Business InkJet 2200
	GS_DEVS=$GS_DEVS'$(DD)chp2200.dev '

	mkdir hp-injet2200
	tar xjvpf %SOURCE9 -C hp-injet2200
	cp hp-injet2200/gdevcd8.c src
echo '
### -------------- chp2200 - HP Business Inkjet 2200 ------------- ###

### NOTE:  Depends on the presence of the cdj850 section above.

$(DD)chp2200.dev : $(cdeskjet8_) $(DD)page.dev
	$(SETPDEV2) $(DD)chp2200 $(cdeskjet8_)
'>>src/contrib.mak

#gimp-print
#this will be added by configure process
#	GS_DEVS=$GS_DEVS'$(DD)stp.dev '
#update the "stp" driver in GhostScript
%setup -q -T -D -a 103 -n %real_name-%version
(cd gimp-print-%gimpprintver
%patch103 -p4
%configure --with-ghost --without-cups
cp src/ghost/gdevstp.c ../src
cat src/ghost/contrib.mak.addon >> ../src/contrib.mak
cp src/ghost/README ../doc/README.stp
)
#remove second gimp-print
#patch104 -p1

#final setup
%__subst "s/_XXX_RPM_GS_DEVICES_XXX_/$GS_DEVS/;" Makefile.in

#other stuff and patches
%ifnarch ppc
cd src
%patch2 -p1
cd ..
%endif

# Support for encrypted PDF files
cp %SOURCE200 lib/pdf_sec.ps
# Add Uniprint driver for the Canon BJC 6000
cp %SOURCE201 %SOURCE202 lib
# Add additional Uniprint drivers for the Epson inkjets
%setup -q -T -D -a 203 -n %real_name-%version
mv epsonupp/*.upp lib
# Add sharp.upp Uniprint driver for the Sharp AJ-1800/2000
cp %SOURCE204 lib

# Tool for uploading the firmware on the HP LaserJet 1000S
bzcat %SOURCE205 > hp1000fw
bzcat %SOURCE206 > usb.usermap

# Tools for reading USB device ID strings
bzcat %SOURCE207 > usb_id_test.c
bzcat %SOURCE208 > getusbprinterid


# Add shared library support to ghostscript.
%if_with svga
    SHARED_OBJS=$SHARED_OBJS'$(GLOBJDIR)/lvga256.so $(GLOBJDIR)/vgalib.so '
%endif
%if_with x11
    SHARED_OBJS=$SHARED_OBJS'$(GLOBJDIR)/X11.so '
%endif
%if %{with x11} || %{with svga}
%patch3 -p1
%patch5 -p1
%__subst "s@XXX__RPM_REPLACE__XXX@$SHARED_OBJS@" Makefile.in
%endif #with

# build a small README describing the features available.
cat <<EOF >README.shared
This version of ghostscript support shared module dynamically loaded
at run time.

There are currently two modules compiled with Mandrake version of ghostscript,
one to support all X11 devices (typically used by gv) and another to support
svgalib devices. Look at ghostscript-module-??? packages.

There is no configuration needed, just add (or remove) the package to
add (or remove) the devices concerned in ghostscript.
EOF

# (chmou) fix glibc-2.2.2 compilation
%patch4

# Load menu icon
bzcat %SOURCE105 > $RPM_BUILD_DIR/ghostscript-%version/printutils.png

##### FILTERS AND OTHER STUFF
# Apple StyleWriter
%setup -q -T -D -a 300 -n %real_name-%version
# Canon CaPSL
%setup -q -T -D -a 301 -n %real_name-%version
# Lexmark 1100
%setup -q -T -D -a 302 -n %real_name-%version
(cd lm1100.1.0.2a
%patch302 -p0
)
%patch303 -p1

#bjc250
%patch300 -p1
# Lexmark 2070 colour
%setup -q -T -D -a 303 -c -n %real_name-%version/c2070-0.99
# Lexmark 2070 grayscale
%setup -q -T -D -a 304 -c -n %real_name-%version/Lexmark2070.latest
# Lexmark Z11
%setup -q -T -D -a 305 -n %real_name-%version
#bzcat %SOURCE319 > $RPM_BUILD_DIR/ghostscript-%version/LexZ11-distro/cZ11.c
# Lexmark printer maintenance
%setup -q -T -D -a 307 -n %real_name-%version
%setup -q -T -D -a 308 -n %real_name-%version
bzcat %SOURCE309 > $RPM_BUILD_DIR/ghostscript-%version/changecartridge
mv $RPM_BUILD_DIR/ghostscript-%version/lxcontrol/README.Lexmark \
	$RPM_BUILD_DIR/ghostscript-%version/lxcontrol/README.Lexmark5xxx_7xxx
mv $RPM_BUILD_DIR/ghostscript-%version/lm1100maint/README \
	$RPM_BUILD_DIR/ghostscript-%version/lm1100maint/README.Lexmark1xxx

# Generate doc file for "changecartridge"
cat << EOF > $RPM_BUILD_DIR/ghostscript-%version/README.changecartridge

changecartridge - a program for changing the ink cartridges
    in the Lexmark 5xxx and 7xxx printers.

(C) 1999 Henryk Paluch, paluch@bimbo.fjfi.cvut.cz

To change the ink cartridges in a Lexmark printer you must move the
print head out of its parking corner, so that you can reach the
cartridges. Lexmark only provides a Windows program for doing this. To
not need to boot Windows for changing the cartridges there is this
script. Simply call it with:

   changecartridge

on the command line and follow the steps described on the screen.
The printer is assumed to be at the parallel port #1 (/dev/lp0), but
this setting can be changed by editing the definition of the PORT
variable in /usr/bin/changecartridge.

EOF
# Generate doc file for "README.Lexmark-Maintenance"
cat << EOF > $RPM_BUILD_DIR/ghostscript-%version/README.Lexmark-Maintenance

Lexmark Printer Maintenance Tools
---------------------------------

Programs for maintanance of Lexmark inkjet printers: Moving out the print
head to change the cartridges, adjusting the print heads, cleaning the
nozzles ...

pup    - Graphical program for the Lexmark Optra 40 and 45 printers,
  probably also works for the Lexmark 5xxx and 7xxx, also
  for setting default options on nearly every laser printer

showcartridges
hidecartridges
headalign
headclean     - Command line programs for the Lexmark 5xxx and 7xxx

changecartridge - Another command line tool for changing the
  ink cartridges in the Lexmark 5xxx and 7xxx

lm1100change,
lm1100back    - Command line tools for changing the cartridge in Lexmark
  1xxx printers

Since Lexmark will not release protocol specifications the authors had
to dissassemble the byte codes sent by their Windows printer maintenance
programs to create this.

EOF

# HP DeskJet PPA printers
%setup -q -T -D -a 310 -n %real_name-%version
%__subst 's/^version 0.*//' pnm2ppa-*/pnm2ppa.conf

%setup -q -T -D -a 311 -n %real_name-%version
%patch311 -p0

# Lexmark 2050
%setup -q -T -D -a 312 -n %real_name-%version
# Lexmark 2030
%setup -q -T -D -a 313 -c -n %real_name-%version/pbm2l2030
# Okipage 4w and compatible winprinters
%setup -q -T -D -a 314 -n %real_name-%version
cd oki4linux-2.0
%patch314 -p1
%patch315 -p1

# Do some small corrections in the daemon script:
# - The daemon crashes with "setlogsock('unix');"
# - Correct the path for the driver
cd src
mv oki4daemon oki4daemon.pre
sed "s/setlogsock('unix');/setlogsock('inet');/" oki4daemon.pre | sed "s:/usr/local/sbin/oki4drv:/usr/bin/oki4drv:" > oki4daemon
cd ../..
# Mandrakeized startup script for the daemon
cp %SOURCE315 $RPM_BUILD_DIR/ghostscript-%version/oki4daemon
# Installer for a CUPS queue for an OKI winprinter
bzcat %SOURCE316 > $RPM_BUILD_DIR/ghostscript-%version/oki4w_install
# Generate doc file for "README.OKI-Winprinters"
cat << EOF > $RPM_BUILD_DIR/ghostscript-%version/README.OKI-Winprinters

Driver for the OKI 4w and compatible winprinters
------------------------------------------------

These laser printers have neither memory nor a processor and therefore
they must get their data in an absolutely continuous stream (because
they cannot buffer data). This cannot be made sure by usual printing
spoolers (as CUPS or LPD). The only possibility is running a special
driver program which connects directly to the printer. But this is
very unconvenient, because many Linux applications can only print
through a spooler. To solve this, Grant Taylor has created a special
daemon acting between the printing program and the spooler, the
"oki4daemon". It provides a named pipe ("/dev/oki4drv") which accepts
PostScript and renders it for being understood by the printer.

Because "kups" and the web interface of CUPS cannot start an extra
daemon and also cannot set up a queue with "/dev/oki4drv" as
destination, you have to install your OKI printer with a special
installation program. Call it by entering

   oki4w_install

on the command line or by choosing "Configuration"/"Printing"/"Install
OKI 4w or compatible" in the desktop menues.

NOTE: These printers should not be used on machines which are often
under high loads (because of the timing requirements) or on machines
with high security demands (because of the additional daemon).

EOF

# CoStar and compatible label printers
%setup -q -T -D -a 323 -c -n %real_name-%version/pbm2lwxl
# Citizen Printiva 600C
%setup -q -T -D -a 317 -n %real_name-%version
# Samsung ML-85G and QL-85G winprinters
%setup -q -T -D -a 318 -n %real_name-%version
pushd ml85p*
make clean
popd

# Filter for the Lexmark Z42
%setup -q -T -D -a 320 -n %real_name-%version
# GhostScript wrapper for the Pentax PocketJet printers
%setup -q -T -D -a 321 -n %real_name-%version
%patch321 -p1
# Unix driver for MicroDry Printers
%setup -q -T -D -a 322 -n %real_name-%version
# Driver for Epson EPL "L" series
%setup -q -T -D -a 324 -n %real_name-%version
# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP LaserJet 1000
%setup -q -T -D -a 325 -n %real_name-%version

#post fixes
%patch6 -p1
%patch10 -p1

%build
##### GHOSTSCRIPT
%configure \
%if_with omni
    --with-omni
%else
%endif

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=%prefix
make so RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=%prefix
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=%prefix gssharedir=%_libdir/ghostscript/%version docdir=%_docdir/ghostscript-%version pcl3opts XLDFLAGS="-lttf"

##### IJS
(cd ijs*
autoconf
%configure
%make_build
)


##### FILTERS AND OTHER STUFF

# Apple StyleWriter
(cd stylewriter
gcc ${CFLAGS:-%optflags} -o lpstyl lpstyl.c)

# Canon CaPSL
(cd cjet089
make clean
%make_build
)

# Lexmark 1100
(cd lm1100*
%make_build
)

# Lexmark 2070 colour
(cd c2070-0.99
%make_build
)

# Lexmark 2070 grayscale
(cd Lexmark2070.latest
%make_build
)

# Lexmark Z11
(cd lz11
%make_build
)

# HP DeskJet PPA printers
pushd pnm2ppa*
%make BINDIR=%_bindir CONFDIR=%_sysconfdir MANDIR=%_mandir/man1
popd

pushd pbm2ppa*
%make
popd

# Lexmark 2050
(cd c2050-*
%make_build
)
# Lexmark 2030
(cd pbm2l2030
%make_build
)
# Okipage 4w and compatible winprinters
(cd oki4linux-2.0/src
%make_build
)
# Citizen Printiva 600C
(cd ppmtocpva-1.0
%make_build
)
# CoStar and compatible label printers
(cd pbm2lwxl
gcc -o pbm2lwxl pbm2lwxl.c
)
# Samsung ML-85G and QL-85G winprinters
pushd ml85p*
%make CFLAGS="$RPM_OPT_FLAGS"
popd


# Filter for the Lexmark Z42
cd drv_z42/src
gcc $CFLAGS -o z42_cmyk z42_cmyk.c
cd ../z42tool/
# We have a pre-built GUI now.
#glade -w z42tool.glade
cd src
patch < interface.c.diff
cd ..
./autogen.sh
make distclean
%configure
%make
cd ../..
# GhostScript wrapper for the Pentax PocketJet printers
(cd pentaxpj
%make_build
)

# Unix driver for MicroDry Printers
(cd ppmtomd-1.0.1
%make
)

# Driver for Epson EPL "L" series
(cd epsonepl*
%configure
%make
)

# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP LaserJet 1000
(cd foo2zjs*
%make
)

# Tool for reading USB device ID strings
gcc -o usb_id_test usb_id_test.c

%install
# Make directories
install -d $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_sysconfdir
install -d $RPM_BUILD_ROOT%_mandir/man1
install -d $RPM_BUILD_ROOT%_docdir
install -d $RPM_BUILD_ROOT%_libdir/%name/%version
install -d $RPM_BUILD_ROOT%_sysconfdir/gs

make install soinstall pcl3-install prefix=$RPM_BUILD_ROOT%prefix \
            mandir=$RPM_BUILD_ROOT%_mandir \
            datadir=$RPM_BUILD_ROOT%_datadir \
            bindir=$RPM_BUILD_ROOT%_bindir \
            libdir=$RPM_BUILD_ROOT%_libdir \
            docdir=$RPM_BUILD_ROOT%_docdir/%name-%version

ln -s %_datadir/ghostscript/%version/lib/Fontmap.GS $RPM_BUILD_ROOT%_sysconfdir/gs/Fontmap

(cd ijs
install -d $RPM_BUILD_ROOT%_includedir/ijs
%makeinstall
cp ijs_server_example %buildroot/usr/bin/
chmod -x $RPM_BUILD_ROOT%_includedir/ijs/*
)

###### FILTERS AND OTHER STUFF
# Apple StyleWriter
(cd stylewriter
# Program files
install -m 755 lpstyl $RPM_BUILD_ROOT%_bindir
# Documentation
chmod -R a+rX *
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/AppleStyleWriter
cp -ax scripts Makefile.atalk README* adsp.* printcap.* styl.ppd \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/AppleStyleWriter
)

# Canon CaPSL
(cd cjet089
# Program files
install -m 755 cjet $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/CanonCaPSL
cp -ax README INSTALL COPYING TODO ChangeLog samples \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/CanonCaPSL
)

# Lexmark 1100
(cd lm1100.1.0.2a
# Executables (filter for usage with CUPS and printer emulator script for
# development and debugging (also debugging this RPM w/o Lexmark 1100).
install -m 0755 lm1100 $RPM_BUILD_ROOT%_bindir
install -m 0755 lexmark2ppm.pl $RPM_BUILD_ROOT%_bindir
install -m 0755 byteutil.pl $RPM_BUILD_ROOT%_bindir

# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark1100
install -m 0644 LICENSE $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark1100
install -m 0644 README $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark1100
install -m 0644 RELEASE.txt $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark1100
install -m 0644 cmy.txt $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark1100
)

# Lexmark 2070 colour
(cd c2070-0.99
# Program files
install -m 755 c2070 $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2070colour
cp -ax README LICENSE \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2070colour
)

# Lexmark 2070 grayscale
(cd Lexmark2070.latest
# Program files
install -m 755 Lexmark2070 $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2070gray
cp -ax README LICENSE \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2070gray
)

# Lexmark 7xxx, 57xx, Z51
(cd lexmark7000linux-990516
# Program and data files
%makeinstall
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 CHANGES $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 README $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 lexmark5700-filter $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 lexmark7000-filter $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 lexmark7000linux-990516.lsm $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 lexmarkprotocol.txt $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
install -m 0644 *.p?? $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark7xxx_57xx_Z51
)

# Lexmark Z11
(cd lz11
# Program and data files
install -pm755 cZ11 $RPM_BUILD_ROOT%_bindir
install -pm755 lz11.foomatic $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_sysconfdir/LexmarkZ11/
install -pm644 prolog.prn $RPM_BUILD_ROOT%_sysconfdir/LexmarkZ11/
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/%name-%version/LexmarkZ11
install -pm644 README CHANGELOG $RPM_BUILD_ROOT%_docdir/%name-%version/LexmarkZ11
)

# Lexmark printer maintenance
# Program and data files
install -m 755 lxcontrol/lx.control $RPM_BUILD_ROOT%_bindir
install -m 755 lm1100maint/lm1100change $RPM_BUILD_ROOT%_bindir
install -m 755 lm1100maint/lm1100back $RPM_BUILD_ROOT%_bindir
install -m 755 changecartridge $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir/lxcontrol
cp -f $RPM_BUILD_DIR/ghostscript-%version/lxcontrol/*.out $RPM_BUILD_ROOT%_datadir/lxcontrol/
( cd $RPM_BUILD_ROOT%_bindir
  ln -s lx.control headclean
  ln -s lx.control headalign
  ln -s lx.control showcartridges
  ln -s lx.control hidecartridges
)
mkdir -p $RPM_BUILD_ROOT%_datadir/lm1100maint
cp -f $RPM_BUILD_DIR/ghostscript-%version/lm1100maint/lexmark* \
	$RPM_BUILD_ROOT%_datadir/lm1100maint/
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-utils-%version/
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-utils-%version/LexmarkMaintenance
cp -ax lxcontrol/README.* lm1100maint/README.* \
	README.changecartridge README.Lexmark-Maintenance \
	$RPM_BUILD_ROOT%_docdir/ghostscript-utils-%version/LexmarkMaintenance

# Menu entries for ghostscript-utils package
# Menu icon
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/locolor/16x16/apps/
install -m 644 printutils.png $RPM_BUILD_ROOT%_datadir/icons/locolor/16x16/apps/
# Menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/ghostscript-utils
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Change Cartridge in a Lexmark 5xxx or 7xxx" \
longtitle="Tool to get the print head out to change the cartridges and to put it back afterwards" \
command="/usr/bin/changecartridge" \
icon="%_datadir/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Command line tools for Lexmark 5xxx or 7xxx" \
longtitle="Printer maintenance commands: Change cartridges, clean nozzles, ..." \
command="/usr/bin/lx.control" \
icon="%_datadir/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Change Cartridge in a Lexmark 1xxx" \
longtitle="To get the print head of the printer accessible" \
command="/usr/bin/lm1100change" \
icon="%_datadir/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Park Cartridge in a Lexmark 1xxx" \
longtitle="To put the print head back into the corner after changing the cartridges" \
command="/usr/bin/lm1100back" \
icon="%_datadir/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=X11 \
section=Configuration/Printing \
title="Display printer test page (for colour adjustment)" \
longtitle="Display printer test page (for colour adjustment)" \
command="/usr/bin/displaytestpage" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Epson inkjet printer maintenance" \
longtitle="Epson inkjet printer maintenance (Head cleaning/alignment, ink level display, ...)" \
command="/usr/bin/man escputil" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Head alignment and nozzle cleaning pages for Z22, Z32, or Z52" \
longtitle="This program needs Lexmark's printer drivers." \
command="%_bindir/printerUtilsWaitForKey /usr/sbin/lexmarkmaintain" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Adjust margins and offsets of printed pages" \
longtitle="Adjust the position and the margins of the printed contents on the paper" \
command="%_bindir/printerUtilsWaitForKey /usr/sbin/alignmargins" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Calibrate colour printer (GIMP-Print CUPS drivers)" \
longtitle="Calibrate colour printer (GIMP-Print CUPS drivers, 'CUPS + GIMP-print')" \
command="%_bindir/printerUtilsWaitForKey /usr/bin/cups-calibrate" \
icon="/usr/share/icons/locolor/16x16/apps/printerutils.png"
?package(printer-utils): needs=X11 \
section=Configuration/Printing \
title="Lexmark Z42/Z43: Change/align cartridges, clean nozzles" \
longtitle="Maintenance tool for the Lexmark Z42/Z43 inkjet printers" \
command="/usr/bin/z42tool" \
icon="/usr/share/icons/locolor/16x16/apps/printerutils.png"
EOF

# HP DeskJet PPA printers
cd pnm2ppa*
install -m 0644  docs/en/pnm2ppa.1 $RPM_BUILD_ROOT%_mandir/man1
%makeinstall BINDIR=$RPM_BUILD_ROOT%_bindir CONFDIR=$RPM_BUILD_ROOT%_sysconfdir MANDIR=$RPM_BUILD_ROOT%_mandir/man1
chmod 0755 $RPM_BUILD_ROOT%_bindir/*
install -m 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT%_bindir
install -m 0755 utils/Linux/test_ppa $RPM_BUILD_ROOT%_bindir
install -d  $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pnm2ppa
install -m 0644 *.ps $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pnm2ppa
cd docs/en
for file in * ; do
  if  [ -f $file ] ; then
     install -m 0644  $file $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pnm2ppa
  fi
done
rm -f $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pnm2ppa/pnm2ppa.1
cd ../..
#cp -ax ppa_protocol rhs-printfilters sample_scripts README.security Changelog $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pnm2ppa
cp -ax ppa_protocol sample_scripts README.security Changelog $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pnm2ppa
cd ..

(cd pbm2ppa-0.8.6
install -m 0755 pbm2ppa  $RPM_BUILD_ROOT%_bindir
install -m 0755 pbmtpg   $RPM_BUILD_ROOT%_bindir
install -m 0644 pbm2ppa.conf   $RPM_BUILD_ROOT%_sysconfdir
install -m 0644 pbm2ppa.1   $RPM_BUILD_ROOT%_mandir/man1
install -d  $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pbm2ppa
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  if [ -f $file ] ; then
    install -m 0644  $file $RPM_BUILD_ROOT%_docdir/ghostscript-%version/HPDeskJetPPA/pbm2ppa
  fi
done
)

# Lexmark 2050
(cd c2050-*
# Program file
install -m 0755 c2050 $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2050
cp -ax README COPYING ps2lexmark \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2050
)

# Lexmark 2030
(cd pbm2l2030
# Program file
install -m 0755 pbm2l2030 $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2030
cp -ax README.TXT LICENSE \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/Lexmark2030
)

# Okipage 4w and compatible winprinters
cd oki4linux-2.0/src
# Program files
install -m 0755 oki4drv $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_sbindir
install -m 0755 oki4daemon $RPM_BUILD_ROOT%_sbindir
cd ../..
install -d $RPM_BUILD_ROOT%_initdir
install -m 0755 oki4daemon $RPM_BUILD_ROOT%_initdir
install -m 0755 oki4w_install $RPM_BUILD_ROOT%_sbindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/OKI-Winprinters
cp -ax README.OKI-Winprinters \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/OKI-Winprinters
cd oki4linux-2.0
cp -ax COPYING ChangeLog README crack doc samples \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/OKI-Winprinters
cd src
cp -ax README.oki4daemon align.ps oki4daemon.init \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/OKI-Winprinters
install -m 0644 oki4drv.man $RPM_BUILD_ROOT%_mandir/man1/oki4drv.1
cd ../..

# Citizen Printiva 600C
(cd ppmtocpva-1.0
# Program file
install -m 0755 ppmtocpva $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/CitizenPrintiva600C
cp -ax README \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/CitizenPrintiva600C
)

# CoStar and compatible label printers
(cd pbm2lwxl
# Program file
install -m 0755 *2lwxl $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/DymoCoStarAvery-LabelPrinters
cp -ax README *.html \
	$RPM_BUILD_ROOT%_docdir/ghostscript-%version/DymoCoStarAvery-LabelPrinters
)

# Samsung ML-85G and QL-85G winprinters
pushd ml85p*
install -pm750 ml85p $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/%name-%gsver/SamsungML-85G
cp -ax COPYING NEWS README ml85-print ml85-test ml85*.lsm printcap \
	$RPM_BUILD_ROOT%_docdir/%name-%gsver/SamsungML-85G
popd


# Filter for the Lexmark Z42
cd drv_z42/src
# Program file
install -s -m 755 z42_cmyk $RPM_BUILD_ROOT%_bindir
cd ../z42tool/
%makeinstall
cd ..
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/LexmarkZ42
cp -ax COPYING README ChangeLog \
        $RPM_BUILD_ROOT%_docdir/ghostscript-%version/LexmarkZ42
	cd ..

# GhostScript wrapper for the Pentax PocketJet printers
(cd pentaxpj
# Program files
install -p -m755 pentaxsetup $RPM_BUILD_ROOT%_sbindir
install -p -m755 pentaxpj $RPM_BUILD_ROOT%_bindir
cat > $RPM_BUILD_ROOT%_sysconfdir/pentaxpj.conf <<EOF
#
set settings(driverpath) %_bindir/pentaxpj
EOF
# Documentation
install -p -m 644 README $RPM_BUILD_ROOT%_docdir/ghostscript-%version/REAME.pentaxpj
)

# Unix driver for MicroDry Printers
(cd ppmtomd-1.0.1
# Program files
install -m 0755 ppmtomd $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/MicroDryPrinters
cp -ax LICENCE $RPM_BUILD_ROOT%_docdir/ghostscript-%version/MicroDryPrinters
cp ppmtomd.man $RPM_BUILD_ROOT%_mandir/man1/ppmtomd.1
)


# Driver for Epson EPL "L" series
(cd epsonepl*
# Program files
%makeinstall
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/MicroDryPrinters/EpsonEPL_L_Series
cp -ax ChangeLog epl_docs FAQ LIMITATIONS README $RPM_BUILD_ROOT%_docdir/ghostscript-%version/MicroDryPrinters/EpsonEPL_L_Series
)

# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP LaserJet 1000
(cd foo2zjs
# Program files
install -m 0755 foo2zjs $RPM_BUILD_ROOT%_bindir
install -m 0755 foo2zjs-wrapper $RPM_BUILD_ROOT%_bindir
install -m 0755 zjsdecode $RPM_BUILD_ROOT%_bindir
# Documentation
install -d $RPM_BUILD_ROOT%_docdir/ghostscript-%version/MicroDryPrinters/foo2zjs
cp -ax README  $RPM_BUILD_ROOT%_docdir/ghostscript-%version/foo2zjs
)

# Tool for uploading the firmware on the HP LaserJet 1000S
install -m 0755 hp1000fw $RPM_BUILD_ROOT%_bindir
# Make hp1000fw called by hotplug
install -d $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb
ln -s %_bindir/hp1000fw $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb/hp1000fw
install -d $RPM_BUILD_ROOT%_libdir/hotplug/%name
install -m 0644 usb.usermap $RPM_BUILD_ROOT%_libdir/hotplug/%name
install -d $RPM_BUILD_ROOT%_sysconfdir/printer

# Tools for reading USB device ID strings
install -m 0755 usb_id_test $RPM_BUILD_ROOT%_bindir
install -m 0755 getusbprinterid $RPM_BUILD_ROOT%_bindir

#post fixes
rm -rf $RPM_BUILD_ROOT%_mandir/de

(cd $RPM_BUILD_ROOT
find . -type f|xargs file|egrep 'Bourne shell script|perl'|cut -f1 -d' '|xargs %__subst 's@/usr/local@/usr@'
find . -type f|xargs file|egrep 'Bourne shell script|perl'|xargs %__subst 's@/usr/gnu/bin/@/usr/bin/@'
find . -type f|xargs file|egrep 'Bourne shell script|perl'|xargs %__subst 's@/usr/sbin/lpstyl@/usr/bin/lpstyl@'
)

(cd $RPM_BUILD_ROOT/%_docdir
    find . -type f|xargs chmod 644
)

#files section

%files

%files common
%docdir %_docdir/ghostscript-%version
%_docdir/ghostscript-%version
%dir %_datadir/ghostscript
%dir %_datadir/ghostscript/%version
%_datadir/ghostscript/%version/examples
%_datadir/ghostscript/%version/lib
%dir %_sysconfdir/gs
#%config(noreplace) %_sysconfdir/gs/Fontmap.default
%_sysconfdir/gs/Fontmap
%_bindir/pdf2dsc
%_bindir/pdf2ps

%files drivers
%config(noreplace) %_sysconfdir/*.conf
%config(noreplace) %_sysconfdir/LexmarkZ11
%config(noreplace) %_initdir/oki4daemon
%_bindir/lpstyl
%_bindir/cjet
%_bindir/lm1100
%_bindir/c2070
%_bindir/Lexmark2070
%_bindir/cZ11
%_bindir/lz11.foomatic
%_bindir/pnm2ppa
%_bindir/calibrate_ppa
%_bindir/detect_ppa
%_bindir/test_ppa
%_bindir/pbm2ppa
%_bindir/pbmtpg
%_bindir/c2050
%_bindir/pbm2l2030
%_bindir/oki4drv
%_bindir/ppmto*
%_bindir/*2lwxl
%_bindir/pcl3opts
%_bindir/z42_cmyk
%_bindir/pentaxpj
%_bindir/ml85p
#%_bindir/pj-gs.sh
%_bindir/foo2zjs
%_bindir/foo2zjs-wrapper
%_bindir/zjsdecode
%_bindir/ijs_server_epsonepl
%_sbindir/oki4daemon
%_sbindir/oki4w_install

%files utils
%docdir %_docdir/ghostscript-utils-%version
%_docdir/ghostscript-utils-%version
%_datadir/lm1100maint
%_datadir/lxcontrol
%_menudir/ghostscript-utils
%_datadir/icons/locolor/16x16/apps/printutils.png
%_bindir/ps2epsi
%_bindir/pfbtopfa
%_bindir/wftopfa
%_bindir/bdftops
%_bindir/printafm
%_bindir/ps2ascii
%_bindir/gsbj
%_bindir/gsdj
%_bindir/gslj
%_bindir/gslp
%_bindir/ps2pdf
%_bindir/ps2pdf12
%_bindir/ps2pdf13
%_bindir/ps2pdf14
%_bindir/ps2pdfwr
%_bindir/ps2ps
%_bindir/gsnd
%_bindir/eps2eps
%_bindir/dvipdf
%_bindir/font2c
%_bindir/pf2afm
%_bindir/gsdj500
%_bindir/lexmark2ppm.pl
%_bindir/byteutil.pl
%_bindir/lx.control
%_bindir/changecartridge
%_bindir/lm1100change
%_bindir/lm1100back
%_bindir/showcartridges
%_bindir/hidecartridges
%_bindir/headclean
%_bindir/headalign
%_bindir/pdfopt
%_bindir/z42tool
%_datadir/z42tool
%_bindir/fixmswrd.pl
%_sbindir/pentaxsetup
%_bindir/hp1000fw
%_sysconfdir/hotplug/usb/hp1000fw
%_libdir/hotplug/%name
%_bindir/usb_id_test
%_bindir/getusbprinterid
%_bindir/pv.sh
%_mandir/man?/*

%files -n libgnuijs
%_libdir/libijs*.so

%files -n libgnuijs-devel
%doc ijs/README
%_libdir/libijs.a
%_includedir/ijs
%_bindir/ijs_client_example
%_bindir/ijs_server_example
%_bindir/ijs-config

%if_with x11
%files module-X
%doc README.shared
%dir %_libdir/ghostscript
%_libdir/ghostscript/%version/X11.so
%endif

%if_with svga
%files module-SVGALIB
%doc README.shared
%dir %_libdir/ghostscript/%version
%_libdir/ghostscript/%version/lvga256.so
%_libdir/ghostscript/%version/vgalib.so
%endif

%files lib
%_libdir/libgs.so*

%files classic
%_bindir/gs

%files minimal
%_bindir/gsc

%files gtk
%_bindir/gsx

%post lib -p %post_ldconfig
%postun lib -p %postun_ldconfig

%post -n libgnuijs -p %post_ldconfig
%postun -n libgnuijs -p %postun_ldconfig

%post drivers
%post_service oki4daemon

%preun drivers
%preun_service oki4daemon

%post utils
if [ -x %_sbindir/update-usb.usermap ]
then
%_sbindir/update-usb.usermap || :
fi

%changelog
* Mon Sep 29 2003 Stanislav Ievlev <inger@altlinux.ru> 7.07-alt0.1
- 7.07
- exclude pj-gs.sh (generate wrong deps on lpbanner and lprcat)
- update init-script for oki4daemon
- change requirements on fileutils (to coreutils)
- fix building in hasher
  TODO: continue versions update

* Fri May 16 2003 Stanislav Ievlev <inger@altlinux.ru> 7.06-alt4
- fix wrong pnm2ppa.conf (remove "version 0" string)
- requires fix (classic don't need lib)

* Wed Apr 30 2003 Stanislav Ievlev <inger@altlinux.ru> 7.06-alt3
- fix build of ml85p driver (real build it)
- removed alternatives support for /etc/gs/Fontmap - symlink now

* Mon Apr 21 2003 Stanislav Ievlev <inger@altlinux.ru> 7.06-alt2
- pdf2dsc, pdf2ps moved to common (gv need it)
- old_changelog added

* Tue Apr 08 2003 AEN <aen@altlinux.ru> 7.06-alt1
- new version
- gnu drivers in gs source now
- dj970 removed (in hpijs now)

* Mon Apr 07 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt21
- rename package into gnu-ghostscript
  (now we have both gnu-ghostscript and esp-ghostscript branches)

* Fri Apr 04 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt20
- pv.sh (who wants dvips) moved into utils subpackage

* Tue Apr 01 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt19
- next big split:
    ghostscript now virtual package, for backward compatibility
    new subpackages:
	classic - contains classic ghostscript build
	drivers - all external drivers here
- pentaxpj:
    don't use internal BWidget, fix installation
- oki4w: return to main package, foomaric uses daemon
- finally remove menu entries
- fix spec: don't subst in binaries
- moved to utils (it's really utils, no drivers or interpreter):
  gsbj,gsdj,gslj,gslp,gsnd,ps2ascii,ps2pdf12,ps2pdf13,ps2pdf14, ps2pdfwr,ps2ps,
  eps2eps,dvipdf,font2c,pf2afm,pdf2ps,pdfopt,ps2pdf
  gsdj500,bdf2ps,printafm,pdf2dsc
- new drivers:
   (foo2zjs) driver for Zenographics-based printers
   (epsoneplijs) driver for Epson EPL "L" series
- tools for uploading the firmware on the HP LaserJet 1000S
- tools for reading USB device ID strings
  
* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt18
- RH sync:
   patch to correct Postscript Level 1 output
- force deps on libgimp-print
- fix ldconfig usage according packaging policy
- fix oki startup script again ;)

* Thu Feb 27 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt17
- update internal gimp-print driver
- fix oki4daemon startup script (according ALT policy)

* Wed Feb 26 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt16
- next big split:
    hpijs, pup  now in separate package
- added requires to backward compatibility

* Tue Feb 04 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt15
- update from MDK oki4w_install and remove it from menu.

* Wed Jan 29 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt14
- update ml85p filter (security fixes)

* Thu Jan 09 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt13
- update to latest version

* Wed Dec 04 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt12
- remove deps on enscript, added it in foomatic

* Thu Nov 21 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt11
- enable omni device

* Tue Nov 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 7.05-alt10
- Make available special builtin bbox device, man gs says about it and
  it needed to compile Lilypond documentation.

* Wed Oct 30 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt9
- improvements of lxm3200 driver (port from ESP ghostscript, support for Z12)
- updated c2050 driver (0.1 -> 0.3)
- begin splitting utils into subpackages (pup subpackage).
  All this subpackages will be in separate srpms in the future.
- fix paths in the scripts
- removed gs-common symlink (TODO: made it throw update-alternatives)
- fix post,preun etc. scripts

* Tue Oct 29 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt8
- build with gimp-print 4.2.3
- updated Z11 driver

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt7
- update hpijs
- ???: Where to add Kyocera_Mita_PPD_4.8.1? We have removed PPD infrastructure.


* Fri Oct 25 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt6
- remove deps on ghostscript-fonts

* Mon Oct 21 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt5
- fixed shared patch (linking with X11)

* Thu Oct 17 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt4
- cleanup spec again
- remove internal jpeg. ghostscript now can do it.
- update some drivers
- update pdf_sec from ESP Ghostscript
- (atention!) I'm not sure about drivers for Lexmark 7xxx, 57xx, Z51. 
   I'm using source from RH, 
   but we can use it from MDK again
- move post/preun_service into utils
- test building of common,minimal and gtk packages
  TODO: reduce linking of libgs (remove X11, we already have X11 module)
  TODO: move all utilities into separate packages

* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt3
- rebuild without svgalib
- updated some drivers
- fix build with gcc3

* Mon Jun 24 2002 Stanislav Ievlev <inger@altlinux.ru> 7.05-alt2
- enable IJS
- move all perl scripts to utils subpackage
- removed includes of rhs-printfilters
- updates hpijs

* Mon Jun 17 2002 AEN <aen@logic.ru> 7.05-alt1
- new version
- regenerated patches
- gimp-print-4.2.1
- built with omni.drv

* Tue Apr 02 2002 Stanislav Ievlev <inger@altlinux.ru> 6.53-alt3
- sync with MDK

* Wed Mar 07 2002 AEN <aen@logic.ru> 6.53-alt2
- x11alpha fixed

* Wed Feb 27 2002 AEN <aen@logic.ru> 6.53-alt1
- new version
- new devices patch from MDK
- hpijs-1.0.3
- patches 5,37 merged upstream

* Tue Feb 19 2002 Stanislav Ievlev <inger@altlinux.ru> 6.52-alt1
- 6.52.
- patch to gimp-print.

* Fri Jan 18 2002 AEN <aen@logic.ru> 6.51-alt13
- Fontmaps.default restored

* Thu Jan 17 2002 AEN <aen@logic.ru> 6.51-alt12
- bjc250 patch

* Thu Jan 03 2002  AEN <aen@logic.ru> 6.51-alt11
- pixmap method patch (thnx to Vitaly Lipatov)

* Sat Dec 29 2001 Stanislav Ievlev <inger@altlinux.ru> 6.51-alt10
- small cleanups
- moved gimp-print building from pre into build section
- added Lexmark Z42 support

* Thu Dec 27 2001 AEN <aen@logic.ru> 6.51-alt9
- updated gimp-print
- updated hpijs

* Tue Oct 16 2001 AEN <aen@logic.ru> 6.51-alt8
- gimp-print beta3

* Thu Oct 11 2001 AEN <aen@logic.ru> 6.51-alt7
- rebuilt with libpng.so.3

* Mon Sep 3 2001 AEN <aen@logic.ru> 6.51-alt6
- oki4daemon not started by default
* Thu Aug 30 2001 AEN <aen@logic.ru> 6.51-alt5
- gslib patch
- patch4 removed
- patch5  from ldv added
* Tue Aug 28 2001 AEN <aen@logic.ru> 6.51-alt4
- fixed permisson on ml85p again

* Mon Aug 27 2001 AEN <aen@logic.ru> 6.51-alt3
- modiles requires ghostscript = %version
* Tue Aug 23 2001 AEN <aen@logic.ru> 6.51-alt2
- fixed permisson on ml85p

* Thu Aug 16 2001 AEN <aen@logic.ru> 6.51-alt1
- new version
- sync with MDK

* Sun Mar 4 2001 AEN <aen@logic.ru> ipl51mdk
- fix for glibc-2.2.2 from Chmouel

* Tue Jan 11 2001 AEN <aen@logic.ru> ipl50mdk
- Oki4w install fixed
* Thu Jan 09 2001 AEN <aen@logic.ru>
- ipl49mdk
- new & update drivers: Lexmark2030, Okipage4w, gnome etc.

* Fri Dec  1 2000 AEN <aen@logic.ru>
- /Type1-Decor directory added in GS_LIB_DEFAULT for Vedi fonts

* Mon Nov 28 2000 AEN <aen@logic.ru>
- rebuild for RE
- default Fontamap in /etc/gs (patch40)
